/*
	Ninja Sample

	COPYRIGHT (C) SEGA ENTERSRISES,LTD.

	Print Sample for SET4

	1998.4.24
*/

#include <shinobi.h>

void njUserInit(void)
{
	sbInitSystem(NJD_RESOLUTION_VGA, NJD_FRAMEBUFFER_MODE_RGB565, 1);
	njInitVertexBuffer(10000, 0, 10000, 0);
	njSetBackColor(0x00000000, 0x00000000, 0x000000FF);
}


Sint32 i = 0;

Sint32 njUserMain(void)
{
	Int y = 0, x = 0;

	njPrintC(NJM_LOCATION(10, 10), "TEST");
	njPrintH(NJM_LOCATION(10, 20), i++, 8);
	njPrintPeripheralInfo(NJM_LOCATION(40, 20), NJD_PORT_A0);
	return NJD_USER_CONTINUE;
}

void njUserExit(void)
{
	sbExitSystem();
}

intcInit(){}
